Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.resolver
Class WarBasedWSDLLocator

    java.lang.Object
      org.apache.ws.commons.schema.resolver.DefaultURIResolver
          org.apache.axis2.deployment.resolver.WarBasedWSDLLocator

All Implemented Interfaces:
  javax.wsdl.xml.WSDLLocator, org.apache.ws.commons.schema.resolver.CollectionURIResolver, org.apache.ws.commons.schema.resolver.URIResolver

    public class WarBasedWSDLLocator

extends org.apache.ws.commons.schema.resolver.DefaultURIResolver
implements javax.wsdl.xml.WSDLLocator, org.apache.woden.resolver.URIResolver

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`WarBasedWSDLLocator(java.lang.String baseURI, java.lang.ClassLoader classLoader, java.io.InputStream baseInputStream)`

Method Summary
`void` | `close()`
`org.xml.sax.InputSource` | `getBaseInputSource()`
`java.lang.String` | `getBaseURI()` As for the zip there is no point in returning a base URI
`org.xml.sax.InputSource` | `getImportInputSource(java.lang.String parentLocation, java.lang.String importLocation)`
`java.lang.String` | `getLatestImportURI()` returns the latest import
`java.net.URI` | `resolveURI(java.net.URI uri)`

Methods inherited from class org.apache.ws.commons.schema.resolver.DefaultURIResolver
`getCollectionBaseURI, getFileURL, getURL, isAbsolute, resolveEntity, setCollectionBaseURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### WarBasedWSDLLocator

    public WarBasedWSDLLocator(java.lang.String baseURI,
                               java.lang.ClassLoader classLoader,
                               java.io.InputStream baseInputStream)

Method Detail

### getBaseInputSource

    public org.xml.sax.InputSource getBaseInputSource()

  Specified by:
    `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### getImportInputSource

    public org.xml.sax.InputSource getImportInputSource(java.lang.String parentLocation,
                                                        java.lang.String importLocation)

  Specified by:
    `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`
  Parameters:
    `parentLocation` -
    `importLocation` -

### getBaseURI

    public java.lang.String getBaseURI()

  As for the zip there is no point in returning a base URI

  Specified by:
    `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

### getLatestImportURI

    public java.lang.String getLatestImportURI()

  returns the latest import

  Specified by:
    `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

### close

    public void close()

  Specified by:
    `close` in interface `javax.wsdl.xml.WSDLLocator`

### resolveURI

    public java.net.URI resolveURI(java.net.URI uri)
                            throws org.apache.woden.WSDLException,
                                   java.io.IOException

  Throws:
    `org.apache.woden.WSDLException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.